OrcMap (ORC MapReduce 1.2.1 API)
Date: 2016-10-19

org.apache.orc.mapred

## Class OrcMap<K extends WritableComparable,V extends WritableComparable>

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.TreeMap<K,V>
    - - org.apache.orc.mapred.OrcMap<K,V>

- Type Parameters:
    `K` - the key type, which must be WritableComparable
    `V` - the value type, which must be WritableComparable
  All Implemented Interfaces:
    Serializable, Cloneable, Comparable<OrcMap<K,V>>, Map<K,V>, NavigableMap<K,V>, SortedMap<K,V>, Writable, WritableComparable<OrcMap<K,V>>

      public final class OrcMap<K extends WritableComparable,V extends WritableComparable>
      extends TreeMap<K,V>
      implements WritableComparable<OrcMap<K,V>>

  A TreeMap implementation that implements Writable.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OrcMap(TypeDescription schema)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(OrcMap<K,V> other)`
    `void` | `readFields(DataInput input)`
    `void` | `write(DataOutput output)`

    - ### Methods inherited from class java.util.TreeMap

      `ceilingEntry, ceilingKey, clear, clone, comparator, containsKey, containsValue, descendingKeySet, descendingMap, entrySet, firstEntry, firstKey, floorEntry, floorKey, forEach, get, headMap, headMap, higherEntry, higherKey, keySet, lastEntry, lastKey, lowerEntry, lowerKey, navigableKeySet, pollFirstEntry, pollLastEntry, put, putAll, remove, replace, replace, replaceAll, size, subMap, subMap, tailMap, tailMap, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, isEmpty, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `compute, computeIfAbsent, computeIfPresent, equals, getOrDefault, hashCode, isEmpty, merge, putIfAbsent, remove`

- - ### Constructor Detail

    - #### OrcMap

          public OrcMap(TypeDescription schema)

  - ### Method Detail

    - #### write

          public void write(DataOutput output)
                     throws IOException

      Specified by:
        `write` in interface `Writable`
      Throws:
        `IOException`

    - #### readFields

          public void readFields(DataInput input)
                          throws IOException

      Specified by:
        `readFields` in interface `Writable`
      Throws:
        `IOException`

    - #### compareTo

          public int compareTo(OrcMap<K,V> other)

      Specified by:
        `compareTo` in interface `Comparable<OrcMap<K extends WritableComparable,V extends WritableComparable>>`

Copyright © 2013–2016 The Apache Software Foundation. All rights reserved.